CREATE TABLE CRST_AP_SELECT_INV
(
  CHECKRUN_NAME                   VARCHAR2(50 BYTE),
  INVOICE_ID                      NUMBER(15),
  PAYMENT_NUM                     NUMBER(15),
  LAST_UPDATE_DATE                DATE,
  LAST_UPDATED_BY                 NUMBER(15),
  SET_OF_BOOKS_ID                 NUMBER(15),
  LAST_UPDATE_LOGIN               NUMBER(15),
  CREATION_DATE                   DATE,
  CREATED_BY                      NUMBER(15),
  VENDOR_ID                       NUMBER(15),
  VENDOR_SITE_ID                  NUMBER(15),
  VENDOR_NUM                      VARCHAR2(30 BYTE),
  VENDOR_NAME                     VARCHAR2(240 BYTE),
  VENDOR_SITE_CODE                VARCHAR2(15 BYTE),
  CUSTOMER_NUM                    VARCHAR2(25 BYTE),
  ADDRESS_LINE1                   VARCHAR2(240 BYTE),
  ADDRESS_LINE2                   VARCHAR2(240 BYTE),
  ADDRESS_LINE3                   VARCHAR2(240 BYTE),
  CITY                            VARCHAR2(25 BYTE),
  STATE                           VARCHAR2(150 BYTE),
  ZIP                             VARCHAR2(20 BYTE),
  PROVINCE                        VARCHAR2(150 BYTE),
  COUNTRY                         VARCHAR2(25 BYTE),
  WITHHOLDING_STATUS_LOOKUP_CODE  VARCHAR2(25 BYTE),
  ATTENTION_AR_FLAG               VARCHAR2(1 BYTE),
  INVOICE_NUM                     VARCHAR2(50 BYTE),
  INVOICE_DATE                    DATE,
  VOUCHER_NUM                     VARCHAR2(50 BYTE),
  INVOICE_AMOUNT                  NUMBER,
  AMOUNT_PAID                     NUMBER,
  DISCOUNT_AMOUNT_TAKEN           NUMBER,
  AP_CCID                         NUMBER(15),
  DUE_DATE                        DATE,
  DISCOUNT_DATE                   DATE,
  INVOICE_DESCRIPTION             VARCHAR2(50 BYTE),
  PAYMENT_PRIORITY                NUMBER(2),
  AMOUNT_REMAINING                NUMBER,
  DISCOUNT_AMOUNT_REMAINING       NUMBER,
  PAYMENT_AMOUNT                  NUMBER,
  DISCOUNT_AMOUNT                 NUMBER,
  SEQUENCE_NUM                    NUMBER(15),
  OK_TO_PAY_FLAG                  VARCHAR2(1 BYTE),
  DONT_PAY_REASON_CODE            VARCHAR2(25 BYTE),
  ALWAYS_TAKE_DISCOUNT_FLAG       VARCHAR2(1 BYTE),
  AMOUNT_MODIFIED_FLAG            VARCHAR2(1 BYTE),
  CHECK_NUMBER                    NUMBER(15),
  INVOICE_EXCHANGE_RATE           NUMBER,
  PAYMENT_CROSS_RATE              NUMBER,
  BANK_ACCOUNT_TYPE               VARCHAR2(25 BYTE),
  ORIGINAL_INVOICE_ID             VARCHAR2(30 BYTE),
  ORIGINAL_PAYMENT_NUM            NUMBER(15),
  ATTRIBUTE_CATEGORY              VARCHAR2(150 BYTE),
  ATTRIBUTE1                      VARCHAR2(150 BYTE),
  ATTRIBUTE2                      VARCHAR2(150 BYTE),
  ATTRIBUTE3                      VARCHAR2(150 BYTE),
  ATTRIBUTE4                      VARCHAR2(150 BYTE),
  ATTRIBUTE5                      VARCHAR2(150 BYTE),
  ATTRIBUTE6                      VARCHAR2(150 BYTE),
  ATTRIBUTE7                      VARCHAR2(150 BYTE),
  ATTRIBUTE8                      VARCHAR2(150 BYTE),
  ATTRIBUTE9                      VARCHAR2(150 BYTE),
  ATTRIBUTE10                     VARCHAR2(150 BYTE),
  ATTRIBUTE11                     VARCHAR2(150 BYTE),
  ATTRIBUTE12                     VARCHAR2(150 BYTE),
  ATTRIBUTE13                     VARCHAR2(150 BYTE),
  ATTRIBUTE14                     VARCHAR2(150 BYTE),
  ATTRIBUTE15                     VARCHAR2(150 BYTE),
  BANK_ACCOUNT_NUM                VARCHAR2(30 BYTE),
  BANK_NUM                        VARCHAR2(25 BYTE),
  FUTURE_PAY_DUE_DATE             DATE,
  EXCLUSIVE_PAYMENT_FLAG          VARCHAR2(1 BYTE),
  PROPOSED_PAYMENT_AMOUNT         NUMBER,
  PAY_SELECTED_CHECK_ID           NUMBER(15),
  PRINT_SELECTED_CHECK_ID         NUMBER(15),
  ORG_ID                          NUMBER(15),
  WITHHOLDING_AMOUNT              NUMBER,
  INVOICE_PAYMENT_ID              NUMBER(15),
  DONT_PAY_DESCRIPTION            VARCHAR2(255 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY       VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE1               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9               VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19              VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20              VARCHAR2(150 BYTE),
  TRANSFER_PRIORITY               VARCHAR2(25 BYTE),
  EXTERNAL_BANK_ACCOUNT_ID        NUMBER(15),
  ADDRESS_LINE4                   VARCHAR2(240 BYTE),
  IBAN_NUMBER                     VARCHAR2(40 BYTE),
  DUMMY                           CHAR(1),
  LAST_UPDATED_BY_NAME            VARCHAR2(100),
  SOB_SHORT_NAME                  VARCHAR2(100),
  CREATED_BY_NAME                 VARCHAR2(100),
  VENDOR_NAME_N                   VARCHAR2(240),
  VENDOR_SITE_CODE_N              VARCHAR2(100),
  AP_CCID_D                       VARCHAR2(100),
  ORG_NAME                        VARCHAR2(100)
);